/*
 * Copyright © 2012 Canonical Ltd.
 *
 * This program is free software: you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License version 3,
 * as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Authored by: Eleni Maria Stea <elenimaria.stea@canonical.com>
 */

#include "sdl_buffer.h"

#include <SDL/SDL.h>

namespace mc = mir::compositor;
namespace mg = mir::graphics;
namespace mgs = mir::graphics::sdl;
namespace geom = mir::geometry;

mgs::SDLBuffer::SDLBuffer()
{
//	ipc_package = std::make_shared<mc::BufferIPCPackage>();
}

geom::Size mgs::SDLBuffer::size() const
{
	return image_size;
}

geom::Stride mgs::SDLBuffer::stride() const
{
	return (geom::Stride)(image_size.width.as_uint32_t() * 4);
}

geom::PixelFormat mgs::SDLBuffer::pixel_format() const
{
	return geom::PixelFormat::argb_8888;
}

std::shared_ptr<mc::BufferIPCPackage> mgs::SDLBuffer::get_ipc_package() const
{
	//TODO create and pack ipc package, make this func const and return the ipc package

	return ipc_package;
}

void mgs::SDLBuffer::bind_to_texture()
{

}
