/*
 * Copyright © 2012 Canonical Ltd.
 *
 * This program is free software: you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License version 3,
 * as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Authored by: Eleni Maria Stea <elenimaria.stea@canonical.com>
 */

#ifndef MIR_GRAPHICS_SDL_SDL_BUFFER_H_
#define MIR_GRAPHICS_SDL_SDL_BUFFER_H_

#include "mir/compositor/buffer_basic.h"
#include "mir/graphics/platform_ipc_package.h"

#include <memory>

namespace mir
{
namespace graphics
{
namespace sdl
{

class BufferTextureBinder;

class SDLBuffer : public mir::compositor::BufferBasic
{
public:
	SDLBuffer();

	/* public api */
	geometry::Size size() const;
	geometry::Stride stride() const;
	geometry::PixelFormat pixel_format() const;

	std::shared_ptr<compositor::BufferIPCPackage> get_ipc_package() const;
	void bind_to_texture();

	/* local */

/*
	void set_image(const );
*/

private:
	uint32_t* image_pixels;
	unsigned int tex;
	geometry::Size image_size;

	std::shared_ptr<mir::compositor::BufferIPCPackage> ipc_package;
};

}
}
}

#endif /* MIR_GRAPHICS_SDL_SDL_BUFFER_H_ */
