/*
 * Copyright © 2012 Canonical Ltd.
 *
 * This program is free software: you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License version 3,
 * as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Authored by: Eleni Maria Stea <elenimaria.stea@canonical.com>
 */

#include "sdl_buffer_allocator.h"
#include "sdl_buffer.h"
#include "sdl_platform.h"

#include <assert.h>
#include <vector>

namespace mg = mir::graphics;
namespace mgs = mir::graphics::sdl;
namespace mc = mir::compositor;
namespace geom = mir::geometry;

std::vector<geom::PixelFormat> mgs::SDLBufferAllocator::supported_pixel_formats()
{
	static std::vector<geom::PixelFormat> const pixel_formats {
		geom::PixelFormat::argb_8888,
		geom::PixelFormat::xrgb_8888
	};

	return pixel_formats;
}
