/*
 * Copyright © 2012 Canonical Ltd.
 *
 * This program is free software: you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License version 3,
 * as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Authored by: Eleni Maria Stea <elenimaria.stea@canonical.com>
 */

#include "sdl_platform.h"
#include "sdl_buffer_allocator.h"
#include "sdl_display.h"

#include "mir/graphics/platform_ipc_package.h"

namespace mgs = mir::graphics::sdl;
namespace mg = mir::graphics;
namespace mc = mir::compositor;


std::shared_ptr<mc::GraphicBufferAllocator> mgs::SDLPlatform::create_buffer_allocator(
			const std::shared_ptr<BufferInitializer>& /*TODO*/)
{
	return std::make_shared<mgs::SDLBufferAllocator>();
}

std::shared_ptr<mg::Display> mgs::SDLPlatform::create_display()
{
	/* TODO create SDL display */
	return std::make_shared<mgs::SDLDisplay>();
}

std::shared_ptr<mg::PlatformIPCPackage> mgs::SDLPlatform::get_ipc_package()
{
	return std::make_shared<mg::PlatformIPCPackage>();
}

std::shared_ptr<mg::Platform> mg::create_platform(std::shared_ptr<DisplayReport> const& /*TODO*/)
{
	return std::make_shared<mgs::SDLPlatform>();
}
