/*
 * Copyright © 2012 Canonical Ltd.
 *
 * This program is free software: you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License version 3,
 * as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Authored by: Eleni Maria Stea <elenimaria.stea@canonical.com>
 */

#ifndef MIR_GRAPHICS_SDL_SDL_PLATTFORM_H_
#define MIR_GRAPHICS_SDL_SDL_PLATTFORM_H_

#include "mir/graphics/platform.h"
#include "mir/graphics/buffer_initializer.h"
#include "mir/compositor/graphic_buffer_allocator.h"

namespace mir
{
namespace graphics
{
namespace sdl
{

class SDLPlatform : public Platform,
					public std::enable_shared_from_this<SDLPlatform>
{
public:
	explicit SDLPlatform(std::shared_ptr<DisplayReport> const& listener);

	/* public API*/

	std::shared_ptr<compositor::GraphicBufferAllocator> create_buffer_allocator(
			const std::shared_ptr<BufferInitializer>& buffer_initializer);

    std::shared_ptr<Display> create_display();
    std::shared_ptr<PlatformIPCPackage> get_ipc_package();
};

}
}
}

#endif /* MIR_GRAPHICS_SDL_SDL_PLATTFORM_H_ */
